## com.baidubce.services.bmr.model
Class ClusterStatus

    java.lang.Object
      com.baidubce.services.bmr.model.ClusterStatus

    public class ClusterStatus

extends Object

Represent status for BMR cluster.

Constructor Summary
`ClusterStatus()`

Method Summary
`Date` `getCreationDateTime()`
`Date` `getEndDateTime()`
`Date` `getReadyDateTime()`
`String` `getState()`
`void` `setCreationDateTime(Date creationDateTime)`
`void` `setEndDateTime(Date endDateTime)`
`void` `setReadyDateTime(Date readyDateTime)`
`void` `setState(String state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusterStatus

    public ClusterStatus()

Method Detail

### getState

    public String getState()

### setState

    public void setState(String state)

### getCreationDateTime

    public Date getCreationDateTime()

### setCreationDateTime

    public void setCreationDateTime(Date creationDateTime)

### getEndDateTime

    public Date getEndDateTime()

### setEndDateTime

    public void setEndDateTime(Date endDateTime)

### getReadyDateTime

    public Date getReadyDateTime()

### setReadyDateTime

    public void setReadyDateTime(Date readyDateTime)

Copyright © 2016. All rights reserved.